#!/bin/sh

PACKAGES="aarch64-cross-tools libc-dev-aarch64-cross libffi5-aarch64-cross libffi-dev-aarch64-cross  libstdc++-dev-aarch64-cross"

# Make sure equivs is installed
if [ ! -x "/usr/bin/equivs-build" ]; then
	echo "Could not find '/usr/bin/equivs-build'"
	echo "Please install equivs. Aborting..."
	exit 1
fi

# Check if the arch is supported
dpkg-architecture -aamd64
if [ $? -ne 0 ]; then
        echo "Architecture tools support not installed. Check 'dpkg-dev' version. "
        echo "Aborting..."
        exit 1
fi

for i in $PACKAGES; do
	echo "Processing : $i"
	equivs-build --arch amd64 $i
done
